<div *ngIf="vehicle">
  <div class="row">
    <div class="col-sm">
      <div class="card">
        <div class="card-header">
          <div class="card-title">
            <div class="row">
              <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-motorcycle"></i>&nbsp; {{vehicle.name}}
              </span>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-sm">
      <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="col-5 col-md-4">
              <div class="text-center icon-warning">
                <i class="fa fa-book fa-6x text-warning"></i>
              </div>
            </div>
            <div class="col-7 col-md-8">
              <div class="numbers">
                <p class="card-category">Bookings</p>
                <p class="card-title">{{vehicle.bookingCount}}
                <p>
              </div>
            </div>
          </div>
        </div>
        <hr class="no-margins">
        <div class="card-footer padding-top-0">
          <div class="stats">
            <i class="fa fa-sync"></i> Update Now
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="col-5 col-md-4">
              <div class="text-center">
                <i class="fa fa-user-tie fa-6x text-info"></i>
              </div>
            </div>
            <div class="col-7 col-md-8">
              <div class="numbers">
                <p class="card-category">Drivers</p>
                <p class="card-title">{{vehicle.bookingCount}}
                <p>
              </div>
            </div>
          </div>
        </div>
        <hr class="no-margins">
        <div class="card-footer padding-top-0">
          <div class="stats">
            <i class="fa fa-sync"></i> Update Now
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="col-5 col-md-4">
              <div class="text-center">
                <i class="fa fa-briefcase fa-6x text-primary"></i>
              </div>
            </div>
            <div class="col-7 col-md-8">
              <div class="numbers">
                <p class="card-category">Extra Services</p>
                <p class="card-title">{{vehicle.extraServiceCount}}
                <p>
              </div>
            </div>
          </div>
        </div>
        <hr class="no-margins">
        <div class="card-footer padding-top-0">
          <div class="stats">
            <i class="fa fa-sync"></i> Update Now
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-sm">
      <div class="card">
        <div class="card-header">
          <div class="card-title">
            <div class="row">
              <div class="col-sm margin-top-bottom-auto">
               <span class="h4">
                  <i class="fas fa fa-road"></i>&nbsp; Distance Rates
                </span>
              </div>
            </div>
          </div>
        </div>
        <div class="card-body">
          <form class="form-horizontal" [formGroup]="distanceFormGroup">
            <div class="row">
              <div class="form-group col-sm-3" *ngFor="let r of vehicle.ranges, let i = index">
                <label class="font-weight-bold">
                  <span *ngIf="r.hasNoLimit"> Beyond </span>
                  {{r.fromKm}} Km
                  <span *ngIf="!r.hasNoLimit"> - {{r.toKm}} Km</span>
                  <input type="number"
                         min="1"
                         class="form-control"
                         placeholder="Charge"
                         [formControl]="AllControls.at(i)"
                  >
                </label>

              </div>
            </div>
            <div class="row">
              <div class="col-sm">
                <button (click)="saveDistanceSetting()" [disabled]="AllControls.invalid || isLoading" class="btn btn-primary btn-round btn-md">
                  Save
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card">
        <div class="card-header">
          <div class="card-title">
            <div class="row">
              <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-briefcase"></i>&nbsp; Services
              </span>
                <button
                  placement="top"
                  ngbTooltip="Create Services"
                  class="btn btn-neutral btn-round" (click)="createService()">
                  <i class="fas fa fa-plus-circle"></i>
                  Create
                </button>
              </div>
              <div class="col-sm">
                <div class="float-right">
                  <app-search-box (searchChange)="onSearchChanged($event)"
                                  [searchValue]="search"
                                  placeholder="Search For Services(s): "></app-search-box>
                  <button
                    placement="top"
                    ngbTooltip="Refresh Services"
                    class="btn btn-neutral btn-round" (click)="refresh()">
                    <i class="fas fa fa-sync"></i>
                    Refresh
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="card-body">
          <table id="dataTable" class="table table-striped table-bordered">
            <thead>
            <tr>
              <th (click)="sortData(head)" [class.cursor]="head.sortable"
                  *ngFor="let head of serviceHeaders">{{ head.title }}
                <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
              </th>
            </tr>
            </thead>
            <tbody>
            <tr *ngIf="!serviceRows || serviceRows.length == 0 && !isLoading">
              <td [colSpan]="serviceHeaders.length" class="text-center">No Data Found.</td>
            </tr>
            <tr *ngFor="let row of serviceRows">
              <td>{{row.extraService}}</td>
              <td>{{row.charge | currency}}</td>
              <td><span [innerHTML]="row.isActive | boolToLabel"></span></td>
              <td>{{row.createdDate | date : 'MM/dd/yy, hh:mm a z'}}</td>
              <td>
                <a (click)="editService(row)" class="text-primary cursor"
                   placement="top"
                   ngbTooltip="Edit Service"><i
                  class="fa fa-pencil-alt"></i></a>
                &nbsp;
                <a (click)="deleteService(row)" href="javascript:void(0)"
                   class="text-danger cursor" placement="top"
                   ngbTooltip="Delete Service"
                ><i class="fa fa-trash"></i></a>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
  </div>
</div>
